Get Registry Component

GET
/api/v1/component-registry/components/{publisher}/{name}

Path Parameters

publisher*string
name*string

Query Parameters

projectId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/component-registry/components/string/string"
{  "category": "string",  "componentId": "string",  "createdAt": "string",  "deprecatedAt": "string",  "deprecationMessage": "string",  "description": "string",  "install": {    "componentId": "string",    "consentedCapabilities": [      "string"    ],    "createdAt": "string",    "installId": "string",    "installedBy": "string",    "updatedAt": "string",    "version": {      "bundleHash": "string",      "byteSize": 0,      "capabilities": [        "string"      ],      "componentId": "string",      "contentHash": "string",      "createdBy": "string",      "definition": null,      "hasAgentGuide": true,      "hasIcon": true,      "hasPanel": true,      "hasReadme": true,      "manifest": null,      "number": 0,      "publishedAt": "string",      "status": "ready",      "statusMessage": "string",      "thumbnailStates": [        "string"      ],      "version": "string",      "versionId": "string",      "warnings": [        "conformance-not-run"      ],      "conformance": {        "hasPassed": true,        "checks": [          {            "name": "string",            "status": "pass",            "errors": [              "string"            ],            "warnings": [              "string"            ]          }        ]      }    },    "versionRange": "string"  },  "keywords": [    "string"  ],  "latestVersion": {    "bundleHash": "string",    "byteSize": 0,    "capabilities": [      "string"    ],    "componentId": "string",    "contentHash": "string",    "createdBy": "string",    "definition": null,    "hasAgentGuide": true,    "hasIcon": true,    "hasPanel": true,    "hasReadme": true,    "manifest": null,    "number": 0,    "publishedAt": "string",    "status": "ready",    "statusMessage": "string",    "thumbnailStates": [      "string"    ],    "version": "string",    "versionId": "string",    "warnings": [      "conformance-not-run"    ],    "conformance": {      "hasPassed": true,      "checks": [        {          "name": "string",          "status": "pass",          "errors": [            "string"          ],          "warnings": [            "string"          ]        }      ]    }  },  "name": "string",  "ownerProject": {    "id": "string",    "name": "string"  },  "publisher": "string",  "title": "string",  "updatedAt": "string",  "versionCount": 0,  "agentGuide": "string",  "readme": "string",  "versions": [    {      "bundleHash": "string",      "byteSize": 0,      "capabilities": [        "string"      ],      "componentId": "string",      "contentHash": "string",      "createdBy": "string",      "definition": null,      "hasAgentGuide": true,      "hasIcon": true,      "hasPanel": true,      "hasReadme": true,      "manifest": null,      "number": 0,      "publishedAt": "string",      "status": "ready",      "statusMessage": "string",      "thumbnailStates": [        "string"      ],      "version": "string",      "versionId": "string",      "warnings": [        "conformance-not-run"      ],      "conformance": {        "hasPassed": true,        "checks": [          {            "name": "string",            "status": "pass",            "errors": [              "string"            ],            "warnings": [              "string"            ]          }        ]      },      "usage": {        "installs": 0,        "publishedPaywalls": 0      }    }  ]}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/ComponentNotFoundError",  "message": "string"}
{  "_tag": "Api/ComponentServiceError",  "message": "string"}